Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class DialerParams

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.params.Named
          umontreal.iro.lecuyer.contactcenters.msk.params.CallSourceParams
              umontreal.iro.lecuyer.contactcenters.msk.params.DialerParams

    public class DialerParams

extends CallSourceParams

Parameters for the dialer, for blend/multi-skill call center.

Field Summary
`protected List<DialerAgentGroupParams>` | `agentGroupInfo`
`protected Integer` | `c`
`protected Duration` | `checkedPeriodDuration`
`protected DialerLimitParams[]` | `dialerLimit`
`protected String` | `dialerPolicy`
`protected Boolean` | `dropMismatches`
`protected Double` | `kappa`
`protected Double` | `maxBadCallRate`
`protected int[]` | `minFreeAgentsTarget`
`protected int[]` | `minFreeAgentsTest`
`protected Double` | `mismatchRateThresh`
`protected Integer` | `numCheckedPeriods`
`protected Boolean` | `preventMismatches`
`protected Integer` | `serviceLevelIndex`
`protected Double` | `slInboundThresh`
`protected Double` | `slOutboundThresh`
`protected Boolean` | `useNumActionEvents`
`protected Boolean` | `useRoutingMatrix`

Fields inherited from class umontreal.iro.lecuyer.contactcenters.msk.params.CallSourceParams
`checkAgentsForCall, producedCallTypes, sourceEnabled, sourceToggleTimes`

Fields inherited from class umontreal.iro.lecuyer.xmlbind.params.Named
`name, properties`

Constructor Summary
`DialerParams()`

Method Summary
`List<DialerAgentGroupParams>` | `getAgentGroupInfo()` Gets the value of the agentGroupInfo property.
`int` | `getC()` Gets the value of the c property.
`Duration` | `getCheckedPeriodDuration()` Gets the value of the checkedPeriodDuration property.
`DialerLimitParams[]` | `getDialerLimit()`
`DialerLimitParams` | `getDialerLimit(int idx)`
`int` | `getDialerLimitLength()`
`String` | `getDialerPolicy()` Gets the value of the dialerPolicy property.
`double` | `getKappa()` Gets the value of the kappa property.
`double` | `getMaxBadCallRate()` Gets the value of the maxBadCallRate property.
`int[]` | `getMinFreeAgentsTarget()`
`int` | `getMinFreeAgentsTarget(int idx)`
`int` | `getMinFreeAgentsTargetLength()`
`int[]` | `getMinFreeAgentsTest()`
`int` | `getMinFreeAgentsTest(int idx)`
`int` | `getMinFreeAgentsTestLength()`
`double` | `getMismatchRateThresh()` Gets the value of the mismatchRateThresh property.
`int` | `getNumCheckedPeriods()` Gets the value of the numCheckedPeriods property.
`int` | `getServiceLevelIndex()` Gets the value of the serviceLevelIndex property.
`double` | `getSlInboundThresh()` Gets the value of the slInboundThresh property.
`double` | `getSlOutboundThresh()` Gets the value of the slOutboundThresh property.
`boolean` | `isDropMismatches()` Gets the value of the dropMismatches property.
`boolean` | `isPreventMismatches()` Gets the value of the preventMismatches property.
`boolean` | `isSetAgentGroupInfo()`
`boolean` | `isSetC()`
`boolean` | `isSetCheckedPeriodDuration()`
`boolean` | `isSetDialerLimit()`
`boolean` | `isSetDialerPolicy()`
`boolean` | `isSetDropMismatches()`
`boolean` | `isSetKappa()`
`boolean` | `isSetMaxBadCallRate()`
`boolean` | `isSetMinFreeAgentsTarget()`
`boolean` | `isSetMinFreeAgentsTest()`
`boolean` | `isSetMismatchRateThresh()`
`boolean` | `isSetNumCheckedPeriods()`
`boolean` | `isSetPreventMismatches()`
`boolean` | `isSetServiceLevelIndex()`
`boolean` | `isSetSlInboundThresh()`
`boolean` | `isSetSlOutboundThresh()`
`boolean` | `isSetUseNumActionEvents()`
`boolean` | `isSetUseRoutingMatrix()`
`boolean` | `isUseNumActionEvents()` Gets the value of the useNumActionEvents property.
`boolean` | `isUseRoutingMatrix()` Gets the value of the useRoutingMatrix property.
`void` | `setC(int value)` Sets the value of the c property.
`void` | `setCheckedPeriodDuration(Duration value)` Sets the value of the checkedPeriodDuration property.
`void` | `setDialerLimit(DialerLimitParams[] values)`
`DialerLimitParams` | `setDialerLimit(int idx, DialerLimitParams value)`
`void` | `setDialerPolicy(String value)` Sets the value of the dialerPolicy property.
`void` | `setDropMismatches(boolean value)` Sets the value of the dropMismatches property.
`void` | `setKappa(double value)` Sets the value of the kappa property.
`void` | `setMaxBadCallRate(double value)` Sets the value of the maxBadCallRate property.
`void` | `setMinFreeAgentsTarget(int[] values)`
`int` | `setMinFreeAgentsTarget(int idx, int value)`
`void` | `setMinFreeAgentsTest(int[] values)`
`int` | `setMinFreeAgentsTest(int idx, int value)`
`void` | `setMismatchRateThresh(double value)` Sets the value of the mismatchRateThresh property.
`void` | `setNumCheckedPeriods(int value)` Sets the value of the numCheckedPeriods property.
`void` | `setPreventMismatches(boolean value)` Sets the value of the preventMismatches property.
`void` | `setServiceLevelIndex(int value)` Sets the value of the serviceLevelIndex property.
`void` | `setSlInboundThresh(double value)` Sets the value of the slInboundThresh property.
`void` | `setSlOutboundThresh(double value)` Sets the value of the slOutboundThresh property.
`void` | `setUseNumActionEvents(boolean value)` Sets the value of the useNumActionEvents property.
`void` | `setUseRoutingMatrix(boolean value)` Sets the value of the useRoutingMatrix property.
`void` | `unsetAgentGroupInfo()`
`void` | `unsetC()`
`void` | `unsetDialerLimit()`
`void` | `unsetDropMismatches()`
`void` | `unsetKappa()`
`void` | `unsetMaxBadCallRate()`
`void` | `unsetMinFreeAgentsTarget()`
`void` | `unsetMinFreeAgentsTest()`
`void` | `unsetMismatchRateThresh()`
`void` | `unsetNumCheckedPeriods()`
`void` | `unsetPreventMismatches()`
`void` | `unsetServiceLevelIndex()`
`void` | `unsetSlInboundThresh()`
`void` | `unsetSlOutboundThresh()`
`void` | `unsetUseNumActionEvents()`
`void` | `unsetUseRoutingMatrix()`

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.params.CallSourceParams
`getProducedCallTypes, getSourceToggleTimes, isCheckAgentsForCall, isSetCheckAgentsForCall, isSetProducedCallTypes, isSetSourceEnabled, isSetSourceToggleTimes, isSourceEnabled, setCheckAgentsForCall, setSourceEnabled, unsetCheckAgentsForCall, unsetProducedCallTypes, unsetSourceEnabled, unsetSourceToggleTimes`

Methods inherited from class umontreal.iro.lecuyer.xmlbind.params.Named
`getName, getProperties, isSetName, isSetProperties, setName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### minFreeAgentsTest

    protected int[] minFreeAgentsTest

### minFreeAgentsTarget

    protected int[] minFreeAgentsTarget

### dialerLimit

    protected DialerLimitParams[] dialerLimit

### agentGroupInfo

    protected List<DialerAgentGroupParams> agentGroupInfo

### dialerPolicy

    protected String dialerPolicy

### dropMismatches

    protected Boolean dropMismatches

### preventMismatches

    protected Boolean preventMismatches

### kappa

    protected Double kappa

### c

    protected Integer c

### maxBadCallRate

    protected Double maxBadCallRate

### mismatchRateThresh

    protected Double mismatchRateThresh

### numCheckedPeriods

    protected Integer numCheckedPeriods

### checkedPeriodDuration

    protected Duration checkedPeriodDuration

### serviceLevelIndex

    protected Integer serviceLevelIndex

### slInboundThresh

    protected Double slInboundThresh

### slOutboundThresh

    protected Double slOutboundThresh

### useNumActionEvents

    protected Boolean useNumActionEvents

### useRoutingMatrix

    protected Boolean useRoutingMatrix

Constructor Detail

### DialerParams

    public DialerParams()

Method Detail

### getMinFreeAgentsTest

    public int[] getMinFreeAgentsTest()

  Returns:
    array of `Integer`

### getMinFreeAgentsTest

    public int getMinFreeAgentsTest(int idx)

  Returns:
    one of `Integer`

### getMinFreeAgentsTestLength

    public int getMinFreeAgentsTestLength()

### setMinFreeAgentsTest

    public void setMinFreeAgentsTest(int[] values)

  Parameters:
    `values` - allowed objects are `Integer`

### setMinFreeAgentsTest

    public int setMinFreeAgentsTest(int idx,
                                    int value)

  Parameters:
    `value` - allowed object is `Integer`

### isSetMinFreeAgentsTest

    public boolean isSetMinFreeAgentsTest()

### unsetMinFreeAgentsTest

    public void unsetMinFreeAgentsTest()

### getMinFreeAgentsTarget

    public int[] getMinFreeAgentsTarget()

  Returns:
    array of `Integer`

### getMinFreeAgentsTarget

    public int getMinFreeAgentsTarget(int idx)

  Returns:
    one of `Integer`

### getMinFreeAgentsTargetLength

    public int getMinFreeAgentsTargetLength()

### setMinFreeAgentsTarget

    public void setMinFreeAgentsTarget(int[] values)

  Parameters:
    `values` - allowed objects are `Integer`

### setMinFreeAgentsTarget

    public int setMinFreeAgentsTarget(int idx,
                                      int value)

  Parameters:
    `value` - allowed object is `Integer`

### isSetMinFreeAgentsTarget

    public boolean isSetMinFreeAgentsTarget()

### unsetMinFreeAgentsTarget

    public void unsetMinFreeAgentsTarget()

### getDialerLimit

    public DialerLimitParams[] getDialerLimit()

  Returns:
    array of `DialerLimitParams`

### getDialerLimit

    public DialerLimitParams getDialerLimit(int idx)

  Returns:
    one of `DialerLimitParams`

### getDialerLimitLength

    public int getDialerLimitLength()

### setDialerLimit

    public void setDialerLimit(DialerLimitParams[] values)

  Parameters:
    `values` - allowed objects are `DialerLimitParams`

### setDialerLimit

    public DialerLimitParams setDialerLimit(int idx,
                                            DialerLimitParams value)

  Parameters:
    `value` - allowed object is `DialerLimitParams`

### isSetDialerLimit

    public boolean isSetDialerLimit()

### unsetDialerLimit

    public void unsetDialerLimit()

### getAgentGroupInfo

    public List<DialerAgentGroupParams> getAgentGroupInfo()

  Gets the value of the agentGroupInfo property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the agentGroupInfo property.

  For example, to add a new item, do as follows:

          getAgentGroupInfo().add(newItem);

  Objects of the following type(s) are allowed in the list `DialerAgentGroupParams`

### isSetAgentGroupInfo

    public boolean isSetAgentGroupInfo()

### unsetAgentGroupInfo

    public void unsetAgentGroupInfo()

### getDialerPolicy

    public String getDialerPolicy()

  Gets the value of the dialerPolicy property.

  Returns:
    possible object is `String`

### setDialerPolicy

    public void setDialerPolicy(String value)

  Sets the value of the dialerPolicy property.

  Parameters:
    `value` - allowed object is `String`

### isSetDialerPolicy

    public boolean isSetDialerPolicy()

### isDropMismatches

    public boolean isDropMismatches()

  Gets the value of the dropMismatches property.

  Returns:
    possible object is `Boolean`

### setDropMismatches

    public void setDropMismatches(boolean value)

  Sets the value of the dropMismatches property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetDropMismatches

    public boolean isSetDropMismatches()

### unsetDropMismatches

    public void unsetDropMismatches()

### isPreventMismatches

    public boolean isPreventMismatches()

  Gets the value of the preventMismatches property.

  Returns:
    possible object is `Boolean`

### setPreventMismatches

    public void setPreventMismatches(boolean value)

  Sets the value of the preventMismatches property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetPreventMismatches

    public boolean isSetPreventMismatches()

### unsetPreventMismatches

    public void unsetPreventMismatches()

### getKappa

    public double getKappa()

  Gets the value of the kappa property.

  Returns:
    possible object is `Double`

### setKappa

    public void setKappa(double value)

  Sets the value of the kappa property.

  Parameters:
    `value` - allowed object is `Double`

### isSetKappa

    public boolean isSetKappa()

### unsetKappa

    public void unsetKappa()

### getC

    public int getC()

  Gets the value of the c property.

  Returns:
    possible object is `Integer`

### setC

    public void setC(int value)

  Sets the value of the c property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetC

    public boolean isSetC()

### unsetC

    public void unsetC()

### getMaxBadCallRate

    public double getMaxBadCallRate()

  Gets the value of the maxBadCallRate property.

  Returns:
    possible object is `Double`

### setMaxBadCallRate

    public void setMaxBadCallRate(double value)

  Sets the value of the maxBadCallRate property.

  Parameters:
    `value` - allowed object is `Double`

### isSetMaxBadCallRate

    public boolean isSetMaxBadCallRate()

### unsetMaxBadCallRate

    public void unsetMaxBadCallRate()

### getMismatchRateThresh

    public double getMismatchRateThresh()

  Gets the value of the mismatchRateThresh property.

  Returns:
    possible object is `Double`

### setMismatchRateThresh

    public void setMismatchRateThresh(double value)

  Sets the value of the mismatchRateThresh property.

  Parameters:
    `value` - allowed object is `Double`

### isSetMismatchRateThresh

    public boolean isSetMismatchRateThresh()

### unsetMismatchRateThresh

    public void unsetMismatchRateThresh()

### getNumCheckedPeriods

    public int getNumCheckedPeriods()

  Gets the value of the numCheckedPeriods property.

  Returns:
    possible object is `Integer`

### setNumCheckedPeriods

    public void setNumCheckedPeriods(int value)

  Sets the value of the numCheckedPeriods property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetNumCheckedPeriods

    public boolean isSetNumCheckedPeriods()

### unsetNumCheckedPeriods

    public void unsetNumCheckedPeriods()

### getCheckedPeriodDuration

    public Duration getCheckedPeriodDuration()

  Gets the value of the checkedPeriodDuration property.

  Returns:
    possible object is `Duration`

### setCheckedPeriodDuration

    public void setCheckedPeriodDuration(Duration value)

  Sets the value of the checkedPeriodDuration property.

  Parameters:
    `value` - allowed object is `Duration`

### isSetCheckedPeriodDuration

    public boolean isSetCheckedPeriodDuration()

### getServiceLevelIndex

    public int getServiceLevelIndex()

  Gets the value of the serviceLevelIndex property.

  Returns:
    possible object is `Integer`

### setServiceLevelIndex

    public void setServiceLevelIndex(int value)

  Sets the value of the serviceLevelIndex property.

  Parameters:
    `value` - allowed object is `Integer`

### isSetServiceLevelIndex

    public boolean isSetServiceLevelIndex()

### unsetServiceLevelIndex

    public void unsetServiceLevelIndex()

### getSlInboundThresh

    public double getSlInboundThresh()

  Gets the value of the slInboundThresh property.

  Returns:
    possible object is `Double`

### setSlInboundThresh

    public void setSlInboundThresh(double value)

  Sets the value of the slInboundThresh property.

  Parameters:
    `value` - allowed object is `Double`

### isSetSlInboundThresh

    public boolean isSetSlInboundThresh()

### unsetSlInboundThresh

    public void unsetSlInboundThresh()

### getSlOutboundThresh

    public double getSlOutboundThresh()

  Gets the value of the slOutboundThresh property.

  Returns:
    possible object is `Double`

### setSlOutboundThresh

    public void setSlOutboundThresh(double value)

  Sets the value of the slOutboundThresh property.

  Parameters:
    `value` - allowed object is `Double`

### isSetSlOutboundThresh

    public boolean isSetSlOutboundThresh()

### unsetSlOutboundThresh

    public void unsetSlOutboundThresh()

### isUseNumActionEvents

    public boolean isUseNumActionEvents()

  Gets the value of the useNumActionEvents property.

  Returns:
    possible object is `Boolean`

### setUseNumActionEvents

    public void setUseNumActionEvents(boolean value)

  Sets the value of the useNumActionEvents property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetUseNumActionEvents

    public boolean isSetUseNumActionEvents()

### unsetUseNumActionEvents

    public void unsetUseNumActionEvents()

### isUseRoutingMatrix

    public boolean isUseRoutingMatrix()

  Gets the value of the useRoutingMatrix property.

  Returns:
    possible object is `Boolean`

### setUseRoutingMatrix

    public void setUseRoutingMatrix(boolean value)

  Sets the value of the useRoutingMatrix property.

  Parameters:
    `value` - allowed object is `Boolean`

### isSetUseRoutingMatrix

    public boolean isSetUseRoutingMatrix()

### unsetUseRoutingMatrix

    public void unsetUseRoutingMatrix()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.